pt吧 关注:160,370贴子:8,878,934

debian7安装编译qb

取消只看楼主收藏回复

debian7安装编译qb


回复
来自Android客户端1楼2018-02-28 16:10
    二楼


    回复
    来自Android客户端2楼2018-02-28 16:10
      今天搞了很久,分享一些经验和坑吧


      回复
      来自Android客户端3楼2018-02-28 16:10
        实现,我用apt安装后发现版本是2.9.8的,并不符合u2的使用要求。于是去下载源码编译


        回复
        来自Android客户端4楼2018-02-28 16:12
          回复
          来自Android客户端5楼2018-02-28 16:13
            然后解压它tar zxvf qbittorrent-4.0.4.tar.gz


            回复
            来自Android客户端6楼2018-02-28 16:14
              进入到解压后的目录,./configure一下


              回复
              来自Android客户端7楼2018-02-28 16:15
                发现少了qmake,那就装吧。。


                回复
                来自Android客户端8楼2018-02-28 16:15
                  我们需要安装qt5,在这之前要安装vnc和图形界面,不安装也可以,但是用终端编译的话会很麻烦,安装vnc的过程请查百度。


                  回复
                  来自Android客户端9楼2018-02-28 16:17
                    这里要注意的是,有的发行版自带qt,你可以执行qmake看看。如果有的话就跳过这一部分。


                    回复
                    来自Android客户端10楼2018-02-28 16:18
                      回复
                      来自Android客户端11楼2018-02-28 16:20
                        版本不同的话请自行去官网下载


                        回复
                        来自Android客户端12楼2018-02-28 16:20
                          然后给执行权限chmod +x qt-opensource-linux-x64-5.9.2.run


                          回复
                          来自Android客户端13楼2018-02-28 16:21
                            在图形界面打开run后手动选择gcc库(重要!!),它不是默认安装gcc的,要你手动选。


                            回复
                            来自Android客户端15楼2018-02-28 16:22
                              然后给qmake添加环境变量:vi /etc/profile,添加一行PATH="/opt/Qt5.9.2/5.9.2/gcc_64/bin":$PATH


                              收起回复
                              来自Android客户端16楼2018-02-28 16:26